﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PDFCombine;

namespace PDFCombine
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnConvert_Click(object sender, EventArgs e)
        {
            PDFCombineX Cnv = new PDFCombineX();
            Cnv.Convert(String.Join(Environment.NewLine, lbSource.Items.Cast<string>()), edDest.Text, edParams.Text);

            MessageBox.Show("Convert complete!");
        }

        private void btnAddFile_Click(object sender, EventArgs e)
        {
            OpenFileDialog Dlg = new OpenFileDialog();
            Dlg.Filter = "Adobe PDF Files (.pdf)|*.pdf|All Files (*.*)|*.*";
            Dlg.Multiselect = true;

            if (Dlg.ShowDialog() == DialogResult.OK)
            {
                lbSource.Items.AddRange(Dlg.FileNames);
            }

        }

        private void btnRemoveFile_Click(object sender, EventArgs e)
        {
            for (int i = lbSource.SelectedIndices.Count - 1; i >= 0; i--)
            {
                lbSource.Items.RemoveAt(lbSource.SelectedIndices[i]);
            }
        }


    }
}



